<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css"
        integrity="sha512-z3gLpd7yknf1YoNbCzqRKc4qyor8gaKU1qmn+CShxbuBusANI9QpRohGBreCFkKxLhei6S9CQXFEbbKuqLg0DA=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
</head>

<body>
    <div class="container-fluid">
        <div class="food-ordering">
            <!-- Phần Header -->
            <div class="header-section">
                <div class="row">
                    <nav class="navbar navbar-expand-md navbar-light" style="width: 100%;">
                        <div class="container" style="width: 80%;">
                            <a style="font-weight: 800;color: white;" class="navbar-brand" href="#">WHAT2EAT</a>
                            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                                <span class="navbar-toggler-icon"></span>
                            </button>
                            <div class="collapse navbar-collapse" id="navbarNav"
                                style="width: 40%;justify-content: center;">
                                <ul class="navbar-nav">
                                    <li class="nav-item">
                                        <a style="color: white;" class="nav-link" href="#">Home</a>
                                    </li>
                                    <li class="nav-item">
                                        <a style="color: white;" class="nav-link" href="#">About</a>
                                    </li>
                                    <li class="nav-item">
                                        <a style="color: white;" class="nav-link" href="#">Menu</a>
                                    </li>
                                    <li class="nav-item">
                                        <a style="color: white;" class="nav-link" href="#">Blog</a>
                                    </li>
                                    <li class="nav-item">
                                        <a style="color: white;" class="nav-link" href="#">Contact</a>
                                    </li>
                                </ul>
                            </div>
                            <div>
                                <ul class="navbar-nav" style="display: flex;flex-direction: row; width: 20%;">
                                    <li class="nav-item">
                                        <a class="nav-link" href="#"><img class="search" src="img/search.png" /></a>
                                    </li>
                                    <li class="nav-item">
                                        <a style="margin-left: 10px;" class="nav-link" href="#"><img id="img-cart"
                                                class="search" src="img/Cart.png" /></a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </nav>
                </div>
                <div class="row container-fluid">
                    <div class="col-sm-12 col-md-12 col-lg-6 col-xl-6 div-text">
                        <div class="hero-display">
                            <div class="display-with-text">
                                <h1 style="font-size: 60px;" class="header-h1">Authentic Home food in UK</h1>
                                <p class="header-p">What2Eat is a courier service in which authentic home cook food is
                                    delivered to a customer.</p>
                            </div>
                            <div class="div-search">
                                <input id="search-input" placeholder="Search food you love" />
                                <button id="search-btn" class="btn-warning">Search</button>
                            </div>
                        </div>
                    </div>
                    <div class=" col-sm-12 col-md-12 col-lg-6 col-xl-6 div-img">

                        <div class="position-relative">
                            <img class="img-content" src="img/cooking.man.header.png" />
                        </div>
                    </div>
                </div>
            </div>
            <!-- Phần kitchen -->
            <div class="kitchen-section container-fluid">
                <div class="our-kitchen-card container">
                    <div class="row">
                        <div class="row filter-buttons">
                            <!-- Nav bar -->
                            <nav class="navbar navbar-expand-lg navbar-light bg-light">
                                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                                  <span class="navbar-toggler-icon"></span>
                                </button>
                                <div class="collapse navbar-collapse" id="navbarNav">
                                  <ul class="navbar-nav">
                                    <li class="nav-item ">
                                      <a class="nav-link" href="#">Home<span class="sr-only">(current)</span></a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link disabled" href="#">/</a>
                                      </li>
                                    <li class="nav-item">
                                      <a class="nav-link" href="#">Trending</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link disabled"  href="#">/</a>
                                      </li>
                                    <li class="nav-item active">
                                      <a class="nav-link" href="#">Famous Tandoor</a>
                                    </li>
                                  </ul>
                                </div>
                              </nav>
                        </div>
                    </div>
                    <!--  -->
                    <div class="cart-products">
                        <div class="row ">
                            <div class="col-sm-3 col-md-2 col-lg-2 col-xl-2">
                                <h4>PRODUCT</h4>
                            </div>
                            <div class="col-sm-0 col-md-4 col-lg-4 col-xl-4"></div>
                            <div class="col-sm-3 col-md-2 col-lg-2 col-xl-2">
                                <h4>PRICE</h4>
                            </div>
                            <div class="col-sm-3 col-md-2 col-lg-2 col-xl-2">
                                <h4>QTY</h4>
                            </div>
                            <div class="col-sm-3 col-md-2 col-lg-2 col-xl-2">
                                <h4>UNIT PRICE</h4>
                            </div>
                        </div>
                    </div>
                    <form id="kitchen-form">
                        <div class="row">
                            <div class="col-md-6 col-xl-8 col-lg-8 row">
                                <input id="voucher-input" placeholder="Voucher code" />
                                <button id="voucher-btn" type="submit" class="btn btn-success ">Redeem</button>
                            </div>
                            <div class="col-md-6 col-xl-4 col-lg-4 row total">
                                <div class="row subtotal">
                                    <p>Subtotal</p>
                                    <p id="subtotal">$998</p>
                                </div>
                                <div class="row subtotal">
                                    <p>Shiping fee</p>
                                    <p id="shiping-fee">$20</p>
                                </div>
                                <div class="row subtotal">
                                    <p>Coupon</p>
                                    <p id="coupon">No</p>
                                </div>
                                <div class="row total-payment">
                                    <h2>Total</h2>
                                    <h2 id="total">$1018</h2>
                                </div>
                                <button id="btn-checkout" class="btn btn-success">Check out</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <!-- Phần Footer -->
            <footer class="footer">
                <div class="container-fluid">
                    <div class="footer-container">
                        <div class="footer__menu">
                            <div class="col-sm-2 col-md-2 col-lg-2 col-xl-3">
                                <div class="footer__menu--logo">WHAT2EAT</div>
                            </div>
                            <div class="col-sm-8 col-md-8 col-lg-8 col-xl-6">
                                <div class="footer__menu--nav">
                                    <ul class="list__menu--nav">
                                        <li class="menu__item">
                                            <a href="#">Home</a>
                                        </li>
                                        <li class="menu__item">
                                            <a href="#">About</a>
                                        </li>
                                        <li class="menu__item">
                                            <a href="#">Menu</a>
                                        </li>
                                        <li class="menu__item">
                                            <a href="#">Blog</a>
                                        </li>
                                        <li class="menu__item">
                                            <a href="#">Contact</a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                            <div class="col-sm-2 col-md-2 col-lg-2 col-xl-3 ">
                                <div class="footer__menu--social">
                                    <a href="https://www.instagram.com/">
                                        <img src="./img/instagram-icon.svg" alt="">
                                    </a>
                                    <a href="https://www.facebook.com/">
                                        <img src="./img/facebook-icon.svg" alt="">
                                    </a>
                                </div>
                            </div>
                        </div>
                        <hr>
                        <div class="footer__copyright">
                            <p>Copyright @2021 What2Eat</p>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
    </div>
    <!-- modal add -->
    <div>
        <div id="add-modal" class="modal fade" tabindex="-1">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="btn-close"><button class="close" data-dismiss="modal">&times;</button></div>
                    <h5 class="modal-title" id="h5-modal-title">Make Payment</h5>
                    <div id="div-step-1"><img id="step1" src="img/Stepper.png" alt="step1"></div>
                    <div class="modal-body">
                        <form>
                            <div class="row form-group middle">
                                <div class="col-sm-5 col-md-5">
                                    <input type="text" id="firstname" placeholder="Firstname" class="form-input">
                                </div>
                                <div class="col-sm-5 col-md-5">
                                    <input type="text" id="lastname" placeholder="Lastname" class="form-input">
                                </div>
                            </div>
                            <div class="row form-group middle">
                                <div class="col-sm-5 col-md-5">
                                    <input type="text" id="email" placeholder="Email Address" class="form-input">
                                    <h5 id="payment-method">Select Method of Payment</h5>
                                    <div class="list">
                                        <div class="row list-dec" id="div-method-credit">
                                            <div>
                                                <i class="fa-regular fa-credit-card"></i>
                                                Credit Card or Debit
                                            </div>
                                            <input id="btn-method-credit" type="checkbox" class="checkbox-method" />
                                        </div>
                                        <div class="row list-dec" id="div-method-paypal">
                                            <div>
                                                <img src="img/Vector.png" alt="paypal">
                                                Paypal
                                            </div>
                                            <input id="btn-method-paypal" type="checkbox" class="checkbox-method" />
                                        </div>
                                        <div class="row list-dec" id="div-method-bank">
                                            <div> <i class="fa-solid fa-building-columns"></i>
                                                Bank Transfer</div>
                                            <input id="btn-method-bank" type="checkbox" class="checkbox-method" />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-5 col-md-5">
                                    <textarea type="text" id="address" placeholder="Adress for delivery"
                                        class="form-txt"></textarea>
                                    <input class="form-input" id="phone" placeholder="Phone" />
                                </div>
                            </div>

                        </form>
                    </div>
                    <div class="div-btn-payment">
                        <!-- <button class="btn btn-secondary" id="btn-add-cancel" data-dismiss="modal">Cancel</button> -->
                        <button class="btn" id="btn-payment">Go to payment</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div>
        <div id="success-modal" class="modal fade" tabindex="-1">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="btn-close"><button class="close" data-dismiss="modal">&times;</button></div>
                    <h5 class="modal-title" id="h5-success-title">Make Payment</h5>
                    <div id="div-step-2"><img id="step2" src="img/Stepper 2.png" alt="step2"></div>
                    <div class="modal-body">
                        <div class="div-success">
                            <img src="img/Success Icon.png" alt="success">
                        </div>
                        <p id="success-message">Success</p>

                    </div>
                    <div class="div-btn-payment">
                        <!-- <button class="btn btn-secondary" id="btn-add-cancel" data-dismiss="modal">Cancel</button> -->
                        <button data-dismiss="modal" class="btn" id="btn-complete">Complete</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "https://food-ordering-fvo9.onrender.com/api/";
    var gListVoucher = []
    // var gArrayObject = []
    // Thêm thuộc tính quantity để dễ dàng render ra website
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {

        onPageLoading()
        //Gán sự kiện cho nút ++
        $(document).on("click", ".btn-plus", function () {
            onBtnPlusClick(this)
        })
        //Gán sự kiện cho nút --
        $(document).on("click", ".btn-subtract", function () {
            onBtnSubtractClick(this)
        })
        //Gán sự kiện cho nút remove
        $(document).on("click", ".btn-remove", function () {
            onBtnRemoveClick(this)
        })
        //Gán sự kiện cho nút redeem
        $(document).on("click", "#voucher-btn", function (event) {
            event.preventDefault()
            onBtnRedeemClick()
        })
        //Gán sự kiện cho nút check out
        $(document).on("click", "#btn-checkout", function (event) {
            event.preventDefault()
            $("#add-modal").modal("show")
        })
        //Gán sự kiện cho nút chọn method
        $(document).on("change", "#btn-method-credit", function (event) {
            event.preventDefault()
            onBtnCreditClick()
        })
        //Gán sự kiện cho nút chọn method
        $(document).on("change", "#btn-method-paypal", function (event) {
            event.preventDefault()
            onBtnPaypalClick()
        })
        //Gán sự kiện cho nút chọn method
        $(document).on("change", "#btn-method-bank", function (event) {
            event.preventDefault()
            onBtnBankClick()
        })
        // Gnas sự kiện cho nút Thanh toán
        $(document).on("click", "#btn-payment", function () {
            onBtnGoToPaymentClick()
        })
        if ((Object.keys(localStorage)).length > 0) {
            $("#img-cart").prop("src", "img/Yellow-cart.png")
        }
        else {
            $("#img-cart").prop("src", "img/Cart.png")
        }
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // Hàm xử lý sự kiện load trang
    function onPageLoading() {
        // B1 Thu thập dữ liệu
        // B2 Kiểm tra dữ liệu
        // B3 Gọi Api
        processToGetListVoucher()
        // B4 Xử lý hiển thị
        displayPizzaSelected()

    }
    // Hàm xử lý sự kiện dùng mã giảm giá
    function onBtnRedeemClick() {
        // B1 thu thập dữ liệu
        var vVoucherInput = $.trim($("#voucher-input").val())
        // B2 Kiểm tra dữ liệu
        if (vVoucherInput.length > 0) {
            // B3 Gọi Hàm tìm mã giảm giá
            var vVoucher = getDiscountByVoucher(vVoucherInput)
            if (vVoucher != null) {
                $("#coupon").html(vVoucher.discount + " %")

                loadTotal(vVoucher.discount)
            }
        }
    }
    // Hàm xử lý sự kiện checkbox method payment
    //Credit
    function onBtnCreditClick() {
        $("#btn-method-paypal").prop("checked", false)
        $("#btn-method-bank").prop("checked", false)
        $("#div-method-credit").css("background", "lightgreen")
        $("#div-method-paypal").css("background", "white")
        $("#div-method-bank").css("background", "white")
    }
    //Paypal
    function onBtnPaypalClick() {
        $("#btn-method-credit").prop("checked", false)
        $("#btn-method-bank").prop("checked", false)
        $("#div-method-credit").css("background", "white")
        $("#div-method-paypal").css("background", "lightgreen")
        $("#div-method-bank").css("background", "white")
    }
    //Bank
    function onBtnBankClick() {
        $("#btn-method-paypal").prop("checked", false)
        $("#btn-method-credit").prop("checked", false)
        $("#div-method-credit").css("background", "white")
        $("#div-method-paypal").css("background", "white")
        $("#div-method-bank").css("background", "lightgreen")
    }
    // hàm xử lý sự kiện go to payment
    function onBtnGoToPaymentClick() {
        var vPayment = {
            firstName: "",
            lastName: "",
            email: "",
            address: "",
            phone: "",
            methodPayment: "",

        }
        // B1 thu thập dữ liệu
        getDataToPayment(vPayment)
        // B2 Kiểm tra dữ liệu
        var vValidate = isDataPaymentValidate(vPayment)
        if (vValidate == true) {
            // B3 Gọi Api
            processToPayment(vPayment)
        }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function displayPizzaSelected() {
        var vKeyPizzaDaChon = Object.keys(localStorage)
        var vPizzaDaChon = Object.values(localStorage)
        $(".item-product").empty()
        for (var bI = 0; bI < vKeyPizzaDaChon.length; bI++) {
            // Thêm thuộc tính quantity để dễ dàng render ra website
            var vPizzaObject = JSON.parse(vPizzaDaChon[bI])
            vPizzaObject.quantity = 1
            localStorage.setItem(vKeyPizzaDaChon[bI], JSON.stringify(vPizzaObject))
            var vHtml = `<div class="row item-product">
                            <div class="col-sm-6 col-md-3 col-lg-2 col-xl-2"><img class="imgUrl" src="${vPizzaObject.imageUrl}"/></div>
                            <div class="col-sm-6 col-md-3 col-lg-4 col-xl-4">
                                <div class="product-info">
                                <h5>${vPizzaObject.name}</h5>
                                <p class="item-des"> beef patties, Iceberg lettuce, American cheese, pickles, ...</p>
                                </div>
                            </div>
                            <div class="price-decor col-sm-4 col-md-2 col-lg-2 col-xl-2 price-${vPizzaObject.id}">
                                $${vPizzaObject.price * vPizzaObject.quantity}
                            </div>
                            <div class="col-sm-4 col-md-2 col-lg-2 col-xl-2">
                                <div class="btn-group" role="group" aria-label="Basic example">
                                  <button data-qty='${JSON.stringify(vPizzaObject)}'data-key='${vKeyPizzaDaChon[bI]}' type="button" class="btn btn-light btn-subtract">-</button>
                                  <button id="qty-${vPizzaObject.id}" type="button"  class="price-decor btn btn-light">${vPizzaObject.quantity}
                                    </button>
                                  <button data-qty='${JSON.stringify(vPizzaObject)}' data-key='${vKeyPizzaDaChon[bI]}' type="button" class="btn btn-light btn-plus">+</button>
                                </div>
                                <button data-remove='${vKeyPizzaDaChon[bI]}' class="btn btn-link btn-remove">Remove Item</button>
                                </div>
                            <div class=" price-decor col-sm-4 col-md-2 col-lg-2 col-xl-2">$${vPizzaObject.price}</div>
                        </div>`
            $(".cart-products").append(vHtml)
        }
        loadTotal(0)
    }

    // Hàm xử lý khi bấm +
    function onBtnPlusClick(paramBtn) {
        var vKeyStorage = $(paramBtn).data("key")
        var vDataObject = $(paramBtn).data("qty")
        var vSoLuong = $(`#qty-${vDataObject.id}`).html()
        vSoLuong++
        vDataObject.quantity = vSoLuong
        $(`#qty-${vDataObject.id}`).html(vSoLuong)
        $(`.price-${vDataObject.id}`).html(vSoLuong * vDataObject.price)
        localStorage.setItem(vKeyStorage, JSON.stringify(vDataObject))
        loadTotal(0)
    }
    // Hàm xử lý khi bấm -
    function onBtnSubtractClick(paramBtn) {
        var vKeyStorage = $(paramBtn).data("key")
        var vDataObject = $(paramBtn).data("qty")
        var vSoLuong = $(`#qty-${vDataObject.id}`).html()
        if (vSoLuong < 2) {
            return
        }
        vSoLuong--
        vDataObject.quantity = vSoLuong
        $(`#qty-${vDataObject.id}`).html(vSoLuong)
        $(`.price-${vDataObject.id}`).html(vSoLuong * vDataObject.price)
        localStorage.setItem(vKeyStorage, JSON.stringify(vDataObject))
        loadTotal(0)

    }

    // Hàm remove Item khỏi array
    function onBtnRemoveClick(paramBtn) {
        var vDataKey = $(paramBtn).data("remove")
        console.log(vDataKey)
        localStorage.removeItem(vDataKey)
        displayPizzaSelected();
    }
    // Hàm tính tiền
    function loadTotal(paramDiscount) {
        var vKeyPizzaDaChon = Object.keys(localStorage)
        var vPizzaDaChon = Object.values(localStorage)
        var vArrayObject = []
        var vSubtotal = 0
        var vShipingFee = 20
        var vToTal
        for (var bI = 0; bI < vKeyPizzaDaChon.length; bI++) {
            var bObject = JSON.parse(localStorage.getItem(bI))
            vArrayObject.push(bObject.price * bObject.quantity)
            vSubtotal = vSubtotal + vArrayObject[bI]
        }
        vToTal = (vSubtotal + vShipingFee) - (vSubtotal + vShipingFee) * paramDiscount / 100
        $("#subtotal").html("$" + vSubtotal)
        $("#shiping-fee").html("$" + vShipingFee)
        $("#total").html("$" + vToTal)
    }
    //  Hàm gọi Api lấy list voucher
    function processToGetListVoucher() {
        $.ajax({
            url: gBASE_URL + "vouchers",
            type: "GET",
            dataType: "json",
            success: function (response) {
                //B4 xử lý hiển thị
                for (var bI = 0; bI < response.length; bI++) {
                    gListVoucher.push(response[bI])
                    // console.log(gListVoucher)
                }
            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText)
            }
        })
    }
    // Hàm tìm voucher
    function getDiscountByVoucher(paramVoucher) {
        var vTimThayVoucher = false
        var vVitriHientai = 0
        var vVoucherObject = null
        // console.log(gListVoucher)
        while (vTimThayVoucher == false && vVitriHientai < gListVoucher.length) {
            if (paramVoucher == gListVoucher[vVitriHientai].voucherCode) {
                vTimThayVoucher = true
                vVoucherObject = gListVoucher[vVitriHientai]
            }
            else {
                vVitriHientai++
            }

        }
        return vVoucherObject
    }
    // Hàm thu thập dữ liệu cho thanh toán
    function getDataToPayment(paramObject) {
        paramObject.firstName = $.trim($("#firstname").val())
        paramObject.lastName = $.trim($("#lastname").val())
        paramObject.email = $.trim($("#email").val())
        paramObject.phone = $.trim($("#phone").val())
        paramObject.address = $.trim($("#address").val())
        if ($("#btn-method-credit").prop("checked") == true) {
            paramObject.methodPayment = "CreditCard"
        }
        if ($("#btn-method-paypal").prop("checked") == true) {
            paramObject.methodPayment = "Paypal"
        }
        if ($("#btn-method-bank").prop("checked") == true) {
            paramObject.methodPayment = "BankTransfer"
        }
        // Voucher
        // B1 thu thập dữ liệu
        var vVoucherInput = $.trim($("#voucher-input").val())
        // B2 Kiểm tra dữ liệu
        if (vVoucherInput.length > 0) {
            // B3 Gọi Hàm tìm mã giảm giá
            var vVoucher = getDiscountByVoucher(vVoucherInput)
            if (vVoucher != null) {
                paramObject.voucherId = vVoucher.id
            }
        }

        // Foods
        var vKeyPizzaDaChon = Object.keys(localStorage)
        var vPizzaDaChon = Object.values(localStorage)
        var vFood = []
        for (var bI = 0; bI < vKeyPizzaDaChon.length; bI++) {
            var vProductObject = JSON.parse(vPizzaDaChon[bI])
            var vDetailObject = {
                foodId: vProductObject.id,
                quantity: vProductObject.quantity
            }
            vFood.push(vDetailObject)

        }
        paramObject.details = vFood
    }

    // Hàm kiểm tra dữ liệu thanh toán
    function isDataPaymentValidate(paramObject) {
        if (paramObject.firstName == "") {
            alert("Hãy nhập firstname")
            return false
        }
        if (paramObject.lastName == "") {
            alert("Hãy nhập lastname")
            return false
        }
        if (isEmailValidate(paramObject.email) == false) {
            alert("Email không hợp lệ")
            return false
        }
        if (isPhoneValidate(paramObject.phone) == false) {
            alert("Số điện thoại không hợp lệ")
            return false
        }
        if (paramObject.address == "") {
            alert("Hãy nhập địa chỉ")
            return false
        }
        if ($("#btn-method-credit").prop("checked") == false && $("#btn-method-paypal").prop("checked") == false && $("#btn-method-bank").prop("checked") == false) {
            alert("Hãy chọn cách thức thanh toán")
            return false
        }
        if (paramObject.voucherId == "") {
            paramObject.voucherId = null
        }
        return true
    }
    //Hàm kiểm tra email
    function isEmailValidate(paramEmail) {
        var vRegex = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|.(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/
        return vRegex.test(paramEmail)
    }
    //Hàm kiểm tra SĐT
    function isPhoneValidate(paramPhone) {
        var regexPhoneNumber = /(84|0[1|3|7|9])+([0-9]{8})\b/g;
        return paramPhone.match(regexPhoneNumber) ? true : false;
    }
    //Hàm gọi Api để thêm dữ liệu Payment
    function processToPayment(paramObject) {
        $.ajax({
            url: gBASE_URL + "orders/",
            type: "POST",
            contentType: "application/json;charset=UTF-8",
            data: JSON.stringify(paramObject),
            success: function (response) {
                // console.log(response)
                // B4: xử lý hiển thị
                $("#add-modal").modal("hide")
                $("#success-modal").modal("show")
                localStorage.clear()

            },
            error: function (paramErr) {
                console.log(paramErr.status);
            }
        });
    }
</script>

</html>